# $Revision: 1.35 $, $Date: 2010/06/24 10:02:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
Summary:	JBIG-KIT lossless image compression library
Summary(pl.UTF-8):	JBIG-KIT - biblioteka do bezstratnej kompresji obrazków
Name:		jbigkit
Version:	2.0
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz
# Source0-md5:	3dd87f605abb1a97a22dc79d8b3e8f6c
Source1:	%{name}.pl.po
Patch0:		%{name}-shared.patch
URL:		http://www.cl.cam.ac.uk/~mgk25/jbigkit/
BuildRequires:	gettext-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JBIG-KIT implements a highly effective data compression algorithm for
bi-level high-resolution images such as fax pages or scanned
documents.

%description -l pl.UTF-8
JBIG-KIT zawiera implementację wydajnego algorytmu kompresji dla
2-kolorowych obrazków wysokiej rozdzielczości, takich jak faksy albo
skanowane dokumenty.

%package devel
Summary:	JBIG-KIT - development part
Summary(pl.UTF-8):	JBIG-KIT - plik nagłówkowy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file needed to build programs using JBIG library.

%description devel -l pl.UTF-8
Plik nagłówkowy potrzebny do kompilacji programów korzystających z
biblioteki JBIG.

%package static
Summary:	JBIG-KIT - static library
Summary(pl.UTF-8):	JBIG-KIT - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static JBIG library.

%description static -l pl.UTF-8
Statyczna biblioteka JBIG.

%package progs
Summary:	JBIG-KIT - conversion utilities
Summary(pl.UTF-8):	JBIG-KIT - programy do konwersji
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
Package contains utilities to convert between JBIG and PBM images.

%description progs -l pl.UTF-8
Narzędzia do konwersji plików między formatami JBIG i PBM.

%prep
%setup -q -n %{name}
%patch0 -p1

cp %{SOURCE1} libjbig/po/pl.po

%build
%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}" \
	prefix=%{_prefix} \
	libdir=%{_libdir}

for l in libjbig/po/*.po ; do
	msgfmt -c -v -o "${l%.po}.mo" "$l"
done

%{?with_tests:%{__make} -j1 test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	libdir=%{_libdir}

for l in libjbig/po/*.mo ; do
	install -D "$l" "$RPM_BUILD_ROOT%{_datadir}/locale/$(basename $l .mo)/LC_MESSAGES/jbig.mo"
done

%find_lang jbig

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f jbig.lang
%defattr(644,root,root,755)
# INSTALL is about "installing and using" jbigkit
%doc ANNOUNCE CHANGES INSTALL TODO
%attr(755,root,root) %{_libdir}/libjbig.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjbig.so.2
%attr(755,root,root) %{_libdir}/libjbig85.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjbig85.so.2

%files devel
%defattr(644,root,root,755)
%doc libjbig/{jbig,jbig85}.txt
%attr(755,root,root) %{_libdir}/libjbig.so
%attr(755,root,root) %{_libdir}/libjbig85.so
%{_libdir}/libjbig.la
%{_libdir}/libjbig85.la
%{_includedir}/jbig.h
%{_includedir}/jbig85.h
%{_includedir}/jbig_ar.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libjbig.a
%{_libdir}/libjbig85.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jbgtopbm
%attr(755,root,root) %{_bindir}/pbmtojbg
%{_mandir}/man1/jbgtopbm.1*
%{_mandir}/man1/pbmtojbg.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jbigkit.spec,v $
Revision 1.35  2010/06/24 10:02:00  arekm
- rel 2; fix x86_64 build

Revision 1.34  2010/05/14 14:06:07  sparky
- tests must not be run in parallel

Revision 1.33  2010/03/20 16:19:57  qboosh
- added missing jbig_ar.h header

Revision 1.32  2010/03/20 14:13:06  qboosh
- updated to 2.0 (soname changed: ABI break of few functions)
- updated shared patch (with Makefiles patch merged in)
- added pl.po

Revision 1.31  2008/07/27 23:06:59  arekm
- release 5

Revision 1.30  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.28  2006/12/28 23:17:40  wrobell
- rel. 4 to provide libtool files

Revision 1.27  2006/04/16 10:40:48  pluto
- release 3 for rebuild (amd64 -> x86-64).

Revision 1.26  2004/07/19 22:29:41  qboosh
- fixed Makefiles patch, release 2

Revision 1.25  2004/07/04 21:10:41  qboosh
- updated to 1.6, updated patches

Revision 1.24  2004/06/15 13:52:24  pluto
- c(c)flags fixed.

Revision 1.23  2004/02/15 16:55:57  eothane
- bcond style, changelog cleanups

Revision 1.22  2004/01/02 17:35:21  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.21  2003/12/22 19:47:56  jajcus
- pass libdir to make (jbigkit-Makefiles.patch added)

Revision 1.20  2003/08/25 23:26:50  mmazur
- rel 2 for ac

Revision 1.19  2003/06/13 07:30:24  trojan
- updated to 1.5

Revision 1.18  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.17  2003/05/25 05:49:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/07 12:24:03  adgor
- Fixed shared.patch
- BR libtool >= 2:1.4e
- Release 2

Revision 1.15  2003/01/17 19:06:19  qboosh
- up to 1.4, updated shared patch, added --mode= for new libtool

Revision 1.14  2003/01/17 15:13:02  qboosh
- updated Source0 URL, changed URL to project homepage

Revision 1.13  2003/01/14 16:49:33  radek
- removed jbigkit-libtool.patch permanently

Revision 1.12  2003/01/04 18:40:13  radek
- commented out jbigkit-libtool.patch; it just doesn't build with it
- added tests

Revision 1.11  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.10  2002/11/25 19:53:25  baggins
- release 3
- added libtool patch

Revision 1.9  2002/11/25 14:16:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/04/25 16:39:01  arturs
- fixed a small typo

Revision 1.7  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/10/13 13:02:25  qboosh
- BuildRequires: libtool
- removed lt patch - libtool 1.4.2 doesn't require (nor allow) --tag
- release 2

Revision 1.4  2001/08/10 02:32:47  agaran
- added patch..could someone check if that is proper way?

Revision 1.3  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.2  2001/03/18 23:54:20  kloczek
- added URL,
- added %post/%postun scripts for main,
- move all %doc to devel,
- changed permission on shared libraries to 755.

Revision 1.1  2001/03/18 18:45:00  qboosh
- from scratch
